Query Csv Entries

Query Csv Entries
Query CSV entries

Retrieves paginated CSV entries with optional filtering and sorting. This endpoint allows clients to browse and search through the uploaded CSV data.

Notes

  • Supported sort_by values: rowNumber (default), assetIdentifiers, assetType
  • Returns 200 on success
Request
URI
POST
https://{api_host}/ssp/segmentation/{session-id}/user-file/csv-entries
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session


Request Body

Query parameters for filtering and pagination

CsvEntriesRequest of type(s) application/json
Required  
This request body class requires all of the following: ListRequestParameters , InlineCsvEntriesRequest1
{
    "site_ids": [
        "123a456b-123c-456d-89ab-cdef12345678"
    ],
    "offset": 0,
    "page_size": 1000,
    "sort_ascending": false,
    "sort_by": "rowNumber",
    "tag": [
        {
            "scope": "environment",
            "tag": "production"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved CSV entries

Returns CsvEntriesResponse of type(s) application/json
This response body class contains all of the following: ListResult , InlineCsvEntriesResponse1
{
    "offset": 0,
    "number_of_results": 2,
    "total_result_count": 2,
    "total_pages": 1,
    "sort_ascending": false,
    "sort_by": "rowNumber",
    "results": [
        {
            "csv_entry_object": {
                "asset_identifiers": [
                    "win10_vm_1"
                ]
            },
            "type": "VIRTUAL_MACHINE",
            "row": 5
        },
        {
            "csv_entry_object": {
                "asset_identifiers": [
                    "win10_vm_2"
                ]
            },
            "type": "VIRTUAL_MACHINE",
            "row": 4
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/user-file/csv-entries